Subject: package dependencies
To: None <>
From: Simon J. Gerraty <>
List: tech-pkg
Date: 09/20/2002 12:56:10

I've got a sparc box running 1.5 that I want to upgrade to 1.6 with
minimal downtime.  So I'm trying to rebuild 1.6 versions of the
packages the system needs on another box.

I see that the amanda stuff I just built, depends on perl-base which
appears to no longer be present (all I have in lang/perl-base now is a
symlink to work :-), so I tried to build perl5 - but that won't
install because all the conflicting perl packages are installed - and
needed by amanda.

Just looking at amanda* I'm faliing to spot where these dependencies
on perl are comming from - I'm not even sure why amanda should require
perl.  I assume there is a simple means of finding these dependencies?

Also is it correct that perl-base is now defunct or is my pkgsrc tree
(updated yesterday) hosed?